<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>
            {% block title %}Welcome!{% endblock %}
        </title>

        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
            <link rel="icon" href="img/favicon.ico"/>
            <linkhref="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"rel="stylesheet"/>
            <link rel="icon" href="img/favicon.ico"/>
            <link
                rel="stylesheet"
                href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
                integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p"
                crossorigin="anonymous"/>
            <link
                href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.css"
                rel="stylesheet"/>
            <link
                rel="stylesheet/less"
                type="text/css"
                href="{{ '../../style/admin.less' }}"/>

        {% endblock %}

        {% block javascripts %}
            <script
                type="text/javascript"
                src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.6.0/mdb.min.js"></script>

            <script
                src="https://code.jquery.com/jquery-3.6.0.min.js"
                integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
                crossorigin="anonymous"></script>
            <script src="{{  ('../../js/admin.js') }}" type="text/javascript"></script>
            <script src="https://cdn.jsdelivr.net/npm/less@4.1.1"></script>
            {{ encore_entry_script_tags('app') }}

        {% endblock %}
        {% if is_granted('ROLE_ADMIN') %}
        </head>

        <body id="body-pd">

            <header class="header" id="header">
                <div class="header_toggle">
                    <i class="fas fa-bars" id="header-toggle"></i>
                </div>
            </header>
            <div class="l-navbar" id="nav-bar">
                <nav class="nav">
                    <div>
                        <a href="/" class="nav_logo">
                            <i class="fas fa-layer-group"></i>
                            <span class="nav_logo-name">Coinshire</span>
                        </a>
                        <div class="nav_list">
                            <a href="/user" class="nav_link active">
                                <i class='fas fa-users'></i>
                                <span class="nav_name">User</span>
                            </a>
                            <a href="/config" class="nav_link">
                                <i class="fas fa-server"></i>
                                <span class="nav_name">Configurations</span>
                            </a>
                            <a href="/components" class="nav_link">
                                <i class="far fa-list-alt"></i>
                                <span class="nav_name">Composants</span></a>
                            <a href="/gpu" class="nav_link mt-auto">
                                <i class="fas fa-microchip"></i>
                                <span class="nav_name">Gpu</span>
                            </a>

                        </div>
                        <a href="/logout" class="nav_link ">
                            <i class="fas fa-sign-out-alt"></i>
                            <span class="nav_name">SignOut</span>
                        </a>
                    </nav>
                </div>
                <!--Container Main start-->
                <div class="height-100 bg-light">
                {% else %}

                {% endif %}

                {% block body %}{% endblock %}

            </div>
        </body>
    </html>